Bug 573252 - pytz: please update to latest upstream version (pytz 2010e)
pytz: please update to latest upstream version (pytz 2010e)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pytz (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-13 13:42 EST by Jose Pedro Oliveira
Modified: 2010-05-18 22:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: pytz-2010h-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 19:49:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2010-03-13 13:42:57 EST
Description of problem:
The pytz packages in Fedora, and in particular EPEL ones, are getting out-of-date.
The latest upstream version mentioned in:

 * https://launchpad.net/pytz
 * http://pypi.python.org/pypi/pytz

is pytz-2010e.

Version-Release number of selected component (if applicable):
Fedora and EPEL branches.
Comment 1 Gwyn Ciesla 2010-03-16 11:23:44 EDT
I don't see a reason not do do this in rawhide, and even F-12 and F-13, but I'm not sure about EPEL.

Jef, any objections?
Comment 2 Jef Spaleta 2010-03-16 13:58:25 EDT
As long as you keep the patch in place which preferentially uses the system wide tzdata packages for timezone information and whatnot instead of looking at the information pytz includes. 

Ah crap..it looks like that was only patched in the Fedora versions. The fedora versions don't even include timezone zoneinfo content anymore as its redudant info. 

What needs to happen is the pytz version in EPEL needs to be patched to how its being shipped in Fedora to depend on tzdata...regardless of what version of pytz is actually shipped.

The point of this patch is two-fold. 1) reduce duplicated content on disk..
2) reduce the number of unnecessary package updates when zoneinfo changes occur. If we always rely on tzdata as for zoneinfo..then we don't have to scramble update zoneinfo in other oddball places to match.

Look at pytz_zoneinfo.patch  in the pytz fedora packaging cvs or git or whatever is being used this week :->

Is there a compelling need to push this update for bugfixes in pytz other than updated zoneinfo?

-jef
Comment 3 Jef Spaleta 2010-03-16 14:06:46 EDT
(In reply to comment #2)
let me add....
1) bump rawhide and f13 if you want...make sure that patch is still applicable...and keep the zoneinfo stripped out.

2) for f12/f11 there needs to be a compelling reason to update other than zoneinfo. Its probably safe to do..but its also probably entirely unncessary unless there is a specific bug that needs to be addressed that is not associated with the zoneinfo content as provided by tzdata.

3) EPEL needs to be updated to at least depend on tzdata regardless of the pytz version in EPEL. It would be enough just to apply the patch and strip the content without  bumping the pytz in EPEL...but I doubt there's been an API change so its safe to version bump.  tzdata does get updated in RHEL/CentOS based on zoneinfo changes I believe.

-jef
Comment 4 Gwyn Ciesla 2010-04-28 10:44:34 EDT
I put 2010h in rawhide, I think it's a bit late for f13.  I agree that there's nothing compelling an update for f12 and f11.  WRT EPEL, do you think I can just update to 2010h and keep the same patch, do avoid having to re-do the patch recreation I had to do for 2010h?  The alternative would be to bump EL-5 to 2008i and use that patch.
Comment 5 Jef Spaleta 2010-04-28 13:34:34 EDT
whoa.. you confused me with the multiple patch references in the EPEL stuff.

Let me look over the EPEL situation at lunch today.

If we can get EPEL packaging patched to using the system wide tzdata that would be best... as tzdata is provided by RHEL already.

-jef
Comment 6 Gwyn Ciesla 2010-04-28 13:45:55 EDT
Sorry, I was essentially proposing to update EL-5 to what was in rawhide this morning, a patched 2008i, or what's there now, a patched 2010h.  The patch had to be updated for the new version, that's all.
Comment 7 Jef Spaleta 2010-04-28 16:19:18 EDT
either one is probably fine.  Does 2010h provide any actual bugfixes or API changes in the python code or is it just tzinfo content updates?  if its just content updates... it really doesn't matter....becuase we nuke the content and rely on tzdata.

-jef
Comment 8 Gwyn Ciesla 2010-04-28 16:33:11 EDT
The last two changelog entries:

2007-03-27

    - Ensure API can accept Unicode strings (Bug #96957)

2009-09-29

    - Fix test_zdump tests and bugs the fixed tests picked up, including
      the fix for Bug #427444.


So, possibly.  I vote 2010h.
Comment 9 Jef Spaleta 2010-04-28 16:46:05 EDT
seems reasonable.

You can probably push this to F13 as well.

-jef
Comment 10 Fedora Update System 2010-04-28 17:18:46 EDT
pytz-2010h-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pytz-2010h-1.el5
Comment 11 Fedora Update System 2010-04-28 17:18:51 EDT
pytz-2010h-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pytz-2010h-1.fc13
Comment 12 Gwyn Ciesla 2010-04-28 17:19:35 EDT
Done.
Comment 13 Fedora Update System 2010-04-29 12:40:37 EDT
pytz-2010h-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pytz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pytz-2010h-1.el5
Comment 14 Fedora Update System 2010-05-10 16:17:08 EDT
pytz-2010h-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pytz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pytz-2010h-1.el5
Comment 15 Fedora Update System 2010-05-10 19:49:10 EDT
pytz-2010h-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-05-18 22:40:20 EDT
pytz-2010h-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.